
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在Eclipse的DDMS中的File Explorer找不到files文件夹 / iVAN</title>

    <meta name="description" content="在Eclipse的DDMS中的File Explorer找不到files文件夹 问题描述 在Eclipse的DDMS中的File Explorer找不到files文件夹 尝试着想用openFileOutput方法存储信息,本来应该能在data/data/../file文件夹中找到我存储的文件,却发现没有file文件夹,只有cache和lib文件夹,这是为什么? 以下是代码: public void Save(String text){ FileOutputStream out = null; BufferedWriter writer = null; try{ out =">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在Eclipse的DDMS中的File Explorer找不到files文件夹</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>在Eclipse的DDMS中的File Explorer找不到files文件夹<br />
        	<b></b>
        </dt>
<dd>
          <br />尝试着想用openFileOutput方法存储信息，本来应该能在data/data/../file文件夹中找到我存储的文件，却发现没有file文件夹，只有cache和lib文件夹，这是为什么？<br />
以下是代码：<br />
 public void Save(String text){<br />
        FileOutputStream out = null;<br />
        BufferedWriter writer = null;<br />
        try{<br />
            out = context.openFileOutput("data",Context.MODE_PRIVATE);<br />
            writer = new BufferedWriter(new OutputStreamWriter(out));<br />
            writer.write(text);<br />
        }catch(IOException e){<br />
            e.printStackTrace();<br />
        }finally{<br />
            try{<br />
                if(writer!=null){<br />
                    writer.close();<br />
                }<br />
            }catch(IOException e){<br />
                e.printStackTrace();<br />
            }<br />
        }<br />
    }</p>
<pre><code>    使用的是Genymotion模拟器
</code></pre>
</dd>
</dl>
<h1>解决方案</h1>
<p>应该在/data/data//files/data，我运行了一下你的代码，可以找到“data”文件。你找不到files文件夹的原因可能是<br />
genymotion的原因，建议换个虚拟机，或者有root权限的真机试试。<br />
另：你代码第五行out = context.openFileOutput("data",Context.MODE_PRIVATE);的context用的有点莫名其妙，<br />
或者你把全部代码贴出来，如果不是虚拟机的问题，就是代码的问题</p>
<p>解决方案二：<br />
    <br />设备如果没有root的前提下是无法查看data下数据的，可以用模拟器调试下。</p>
<p>解决方案三：<br />
    <br />genymotion模拟器并不能看，</p>
<p>解决方案四：<br />
    <br />在配置文件中添加文件读写权限了没？</p>
<p>解决方案五：<br />
    <br />在模拟器是可以看到 该文件的</p>
<p><a href="http://img.ask.csdn.net/upload/201605/25/1464149390_525150.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmFzay5jc2RuLm5ldC91cGxvYWQvMjAxNjA1LzI1LzE0NjQxNDkzOTBfNTI1MTUwLnBuZw==.jpg"></a></p>
<pre><code>注意添加权限：
   &lt;uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /&gt;
&lt;uses-permission android:name="android.permission.WRITE_SETTINGS" /&gt;

这是我参考你的代码：

public void saveText(String str)
{
    FileOutputStream  fos=null;
    BufferedWriter writer=null;
    try {

        fos=_context.openFileOutput("data", Context.MODE_PRIVATE);
        writer=new BufferedWriter(new OutputStreamWriter(fos));
        writer.write(str);

    } catch (Exception e) {
        // TODO: handle exception
    }finally
    {
        try {
            if(writer!=null)
            {
               writer.close();
            }
            if(fos!=null)
            {
                fos.close();
            }

        } catch (Exception e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
    }
}
</code></pre>
<p>}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-02 02:12:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在Eclipse的DDMS中的File Explorer找不到files文件夹的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPP0alp.html" rel="bookmark">在运行android中，DDMS中的file explorer文件在我的电脑的什么位置可以找到？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在运行android中,DDMS中的file explorer文件在我的电脑的什么位置可以找到? 解决方案 这个是找不到的,DDMS查看到的文件要么是在模拟器内部存储的文件,要么就是sdcard上的文件,而模拟器使用的sdcard是通过一个img文件来模拟的,所以只能通过DDMS查看,不过我们可以使用DDMS提供的命令行工具adb pull/push命令来从模拟器中获取和往模拟器上添加文件,eclipse中有一个比较不过的功能,当你通过FileExplorer选中某个目录或者文件时,右			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5N72Wz.html" rel="bookmark">myeclipse中的web项目引入spring框架的文件夹结构？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 myeclipse中的web项目引入spring框架的文件夹结构? 最近作毕设,使用的是spring框架,文件夹的结构大概是.dao,.dao.Impl,db,form,service service.Impl,socket等,我想知道这个结构是固定的么,这些包的意义是什么, 请大神赐教. 解决方案 不是固定的,一般有entity ,dao ,service ,controller 四层.你上面的几个意识应该是数据层接口,数据实现类,数据库链接,form就不知道了,业务层接口,业务层实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqjddb.html" rel="bookmark">qtp-安装QTP后在Program file文件夹下找不到HP文件夹</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 安装QTP后在Program file文件夹下找不到HP文件夹 在W7环境下安装了QTP11,默认安装路径为C:Program files/HP但是安装完之后找不到路径所指示的文件夹,怎么办? 解决方案 windows 7 64bit么?如果是64bit,在C:Program Files (x86)看看 解决方案二: 可以参考卸载后,换一个简单的目录安装试试,不要安装在 Program files 下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0N5Pmz.html" rel="bookmark">javascript-JavaScript中，如何判断指定路径下面的文件夹是否已经存在？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 JavaScript中,如何判断指定路径下面的文件夹是否已经存在? JavaScript中,如何判断指定路径下面的文件夹是否已经存在? 解决方案 客户端判断文件夹是否存在,局限于IE. var fso,s=filespec; fso=new ActiveXObject(&quot;Scripting.FileSystemObject&quot;); if(fso.FolderExists(filespec)) s+=&quot; 文件存在.&quot;; else s+=&quot; 文件不存在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6Y0xYb.html" rel="bookmark">Windows Explorer&lpar;浏览&rpar;对话框和遍历文件夹及其子目录函数&lpar;FindFisrFile FindNextFile CloseFind&rpar;使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows浏览窗口就是你在安装程序的时候经常叫你选择安装在哪个目录里面的对话框,我们一般使用这个对话框来获得用户选择的目录.   (一)主要牵扯到的函数是: PIDLIST_ABSOLUTE SHBrowseForFolder(lpbi)   此函数会调用Windows Explorer(浏览)对话窗口,如果用户点击确定的话,会返回一个PIDLIST_ABSOLUTE(绝对路径标识序列). 1:首先讲解返回值:   PIDLIST_ABSOLUTE是PITEMIDLIST的别称,之所以别称主			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo7Yodb.html" rel="bookmark">在电脑中如何通过360云盘实现同步文件夹的功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1.首先确保两台电脑都安装了360云盘,在网盘中整理需要同步的文件或文件夹; 2.在&quot;功能大全&quot;中打开&quot;同步文件夹&quot;; 3.确定同步文件夹为&quot;已开启&quot;状态,点击&quot;添加文件夹&quot;,选择整理好的需要同步的文件夹(最多5个文件夹); 4.点击&quot;更改&quot;,选择一个电脑本地的文件夹,用来和网盘中的文件夹进行同步; 5.这样在设置同步的本地文件夹中进行文件的添加.删除.修改操作时,所有的变动都会同步到网盘中的文件夹.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEQ7jAb.html" rel="bookmark">vb&period;net程序中如何实现用户名，密码访问局域网文件夹影射</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我最近写了个客户端自动更新安装的程序现在有个问题,希望大家帮助我在客户的环境中,服务器的某个文件夹做成影射成比如Z:最新文件就放着这个Z盘下可是每次用户重起机器之后必须手动连接一下这个Z盘我想问,有没有什么办法可以在程序中,用用户名和密码来连接这个Z盘? 解决方案 解决方案二:up解决方案三:各位高手同仁,帮帮忙吧解决方案四:将服务器的某个文件夹配置成虚拟目录			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK30a5b.html" rel="bookmark">Windows 8&period;1删除这台电脑中视频&sol;文档&sol;下载等六个文件夹的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				提醒:修改注册表有风险,请在修改前进行备份并慎重操作. 通过快捷键 Windows+R 打开运行对话框,输入 regedit .定位到以下键值: HKEY_LOCAL_MACHINE/SOFTWARE/Microsoft/Windows/CurrentVersion /Explorer/MyComputer/NameSpace/ 展开 NameSpace 按以下对应关系删除相应键值即可: 键值 文件夹 {374DE290-123F-4565-9164-39C4925E4678} 下载 {B4BF			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1wB8b.html" rel="bookmark">windows系统中python使用rar命令压缩多个文件夹示例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: #!/usr/bin/env python# Filename: backup_ver1.py import osimport time # 1. The files and directories to be backed up are specified in a list.#source=['/home/swaroop/byte','/home/swaroop/bin']source=['D:\\FileCopier\\*.*','D:\\jeecms_doc\\*.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7k3Kz.html" rel="bookmark" class="title">前端开发我为什么选择cordova</a>
					<div>
						cordova与phonegap有什么关系? phoengap 官方网址:http://phonegap.com 如果能了解一个框架的兴起还是一件比较有趣的事.08年一次ios开发者大会上来自Nito ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1rPrp.html" rel="bookmark" class="title">云栖社区发福利啦！每日一分享，50份好礼送不停</a>
					<div>
						[有&quot;福&quot;同享]每日一分享,50份好礼送不停  分享,是一盘美食,同品尚佳: 分享,是一个八卦,不传不快: 分享,是一条段子,手快先转: 分享,是一篇云栖好文,与更多小伙伴共阅!  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3W13b.html" rel="bookmark" class="title">简洁的是最好的吗？</a>
					<div>
						在电子产品的设计中,大家经常提到简洁是设计的重要元素.可是很多产品,不见得简洁就是第一要素.简洁的设计,必须是在对用户需求透彻理解,引导用户完成必要操作的基础之上,才提倡的一种去粗取精的设计减法.在平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0BZ8z.html" rel="bookmark" class="title">利用滤镜给外景图片增加非常细腻的雨丝</a>
					<div>
						作者制作雨丝的方法不错.过程:在素材上新建图层填充黑色,用杂色滤镜增加杂色,然后用模糊及调色工具控制杂色的数量及分布,再用动感模糊滤镜把雨点变成自己设定方位的雨丝,后期用其它滤镜加强细节即可. 原图  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaKwnp.html" rel="bookmark" class="title">如何对Apache做Web压缩</a>
					<div>
						目前很多企业都在网络上开展业务,处理的信息容量很大,有时不得不需要进行Web压缩.我给大家提供一个方案,不改变页面风格,但是减小Web浏览的传输数据量. 我的Web服务器是Apache,采用的压缩工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLE1Wz.html" rel="bookmark" class="title">张伟钦：中国是网络安全工程师的梦想之地</a>
					<div>
						9月18日 北京报道:刚上任数月的趋势大中国区执行总裁张伟钦今天在面对中国媒体时说的最多的一句话是,中国的很多大客户的需求复杂度已是世界级水平,对于愿意接受挑战的网络安全工程师来说,这里有太多的&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvoYap.html" rel="bookmark" class="title">Web 2&period;0，这十大要领您知道不</a>
					<div>
						Web 2.0就像是一只难以驯服的野兽.就像大多数强大的工具和技术一样,Web 2.0都是取决于你所做的事.那些干劲十足的人?企业通过新的通讯.协作以及接收舆论方式,在向2.0的疆界不断挺进.那么乐衷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaJmQM.html" rel="bookmark" class="title">Flash视频教程：椭圆工具</a>
					<div>
						教程|视频教程 点击这里全屏观看教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEajJb.html" rel="bookmark" class="title">精彩的国外30个全彩色的最佳网站设计实例</a>
					<div>
						我编辑了一个使用全彩色的最佳网站展示列表.这些网站很好的使用了色彩以使它们出类拔萃,最重要的是让它看起来很漂亮.这些网站中使用的阴影.渐变和色盘让它们引人注目.建议点击图片访问网站亲自体验一下这些网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNoRWp.html" rel="bookmark" class="title">调用外部as的action代码</a>
					<div>
						版本:flashMX 应用语句:#include语句讲解:#include用法#include &quot;filename.as&quot;参数filename.as 要添加到&quot;动作&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boXwEM.html" rel="bookmark" class="title">解决&period;NET（WebApplication）安装部署的不能选择安装路径的问题</a>
					<div>
						application|web|解决|问题 (一)说明 WebApplication安装部署时,不能选择安装路径:解决思路: (1)创建一个控制台应用程序CreateWebDir.exe ,作用是创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyx55b.html" rel="bookmark" class="title">全FLASH网站应如何进行SEO</a>
					<div>
						目前很多网站,特别是企业网站都很喜欢一味的追求视觉效果.为了达到这个视觉效果,不惜花费几万块制作一个全FLASH的网站.虽然看似满足了视觉效果,但实际上会给后期推广带来一定的麻烦.就拿SEO来说,东莞 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO7eab.html" rel="bookmark" class="title">php类使用：数据类的实例教程</a>
					<div>
						在这一节中,我们将杀害二鸟一石.不仅我们将学习如何将面向对象的PHP和MySQL ,但是我们将学习如何组对象.在这种情况下,你将建立一个一流的UsersGroup其中将包含一系列的用户对象.每个用户对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2DmdM.html" rel="bookmark" class="title">FLASH动画常用命令</a>
					<div>
						本文介绍用Flash制作动画时的一些常用命令. 一.转换查看对象 Goto:转移到,它是控制当前舞台上显示哪一个场景.在它的子菜单中有First(第一个).Previous(前一个).Next(下一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jLy9b.html" rel="bookmark" class="title">photoshop鼠绘霸气的魏文帝曹丕</a>
					<div>
						教程介绍历史人物的鼠绘方法.在鼠绘之前需要详细查阅相关的历史书籍,了解人物的大致样貌,性格,历史背景等.然后再慢慢展开绘画.刻画细节的时候一定要把当时的文化及人物性格表现出来. 最终效果 1.新建一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7njNM.html" rel="bookmark" class="title">office2013怎么完全卸载？</a>
					<div>
						office2013怎么完全卸载?   office2013 方法适用于控制面板/添加与删除程序卸载报错,以及直接执行光盘setup.exe 修复/删除 报错的同学.本人的OS是WIN7 32bit, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGK4Vp.html" rel="bookmark" class="title">winXP系统中磁盘分区的技巧介绍</a>
					<div>
						  winXP系统中磁盘分区的技巧介绍          1.一分钟内分区及格式化硬盘 右键点击&quot;我的电脑&quot;,选择&quot;管理&quot;命令.在打开的&quot;计算机管理& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNv8KM.html" rel="bookmark" class="title">如何解决win7系统开机无法显示桌面</a>
					<div>
						  解决方法: 1. 首先检查你的鼠标右键是否可以用,如果可以的话就鼠标右键,然后选择&quot;查看&quot;,接着勾选&quot;显示桌面图标&quot;项; 2.如果还不行的话,那就是有可能是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmY1Wz.html" rel="bookmark" class="title">贴吧为什么要15字</a>
					<div>
						  百度贴吧里总是有人说一大堆的十五字究竟是什么意思呢,对于初出茅庐的贴吧新人来说,是否很纳闷,很疑惑,不用疑惑不用纳闷,小编将为你带来十五字的含义. 标准的十五字含义: 十五字是刷经验用的,回复发帖 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QX1jp.html" rel="bookmark" class="title">tabBar 跳转下一级，隐藏tabbar</a>
					<div>
						问题描述 tabBar 跳转下一级,隐藏tabbar tabBar 上放了一个button,隐藏tabBar,怎么button还在呢 解决方案 你的button不属于tabbar,所以不会同步的,自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE8y4p.html" rel="bookmark" class="title">Android 资料</a>
					<div>
						概述 在这里跟大家分享一下Android开发所需要的各种开发环境,开发工具和资料.由于google退出中国,这对于我们学习Android开发造成了不小的困扰:(.小编我的能力有限,如有不对的地方还请多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lZ6ab.html" rel="bookmark" class="title">&lbrack;NHibernate&rsqb;代码生成器的使用</a>
					<div>
						目录 写在前面 文档与系列文章 代码生成器的使用 总结 写在前面 前面的文章介绍了nhibernate的相关知识,都是自己手敲的代码,有时候显得特别的麻烦,比如你必须编写持久化类,映射文件等等,举得例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY3R0p.html" rel="bookmark" class="title">微信&lpar;WeChat &rpar;宣布海外注册用户数破亿</a>
					<div>
						摘要: 微信(WeChat)目前的海外增长走势格外引人注目.一个月前刚刚宣布海外用户数超过7000万用户,今天,微信宣布其海外注册用户数量已经突破一亿,相较三个月前,翻了一番.微信在 去年 微信(We ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRE83p.html" rel="bookmark" class="title">在 Nexus S 上运行 Ubuntu 系统</a>
					<div>
						Nexus S 是三星给谷歌生的亲儿子,它使用的是谷歌 Android 2.3 系统.之前有人把 MeeGo 移植到了 Nexus S 上,现在又有发烧友把 http://www.aliyun.com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAyo7p.html" rel="bookmark" class="title">荣耀7i怎么截屏&sol;截图</a>
					<div>
						荣耀7i截图方法一:组合快捷键截图 [电源键]和[音量-键]一起按住几秒,即可把当前屏幕中的东西给截屏成图片保存在相册中了,如下所示: 注:荣耀7i的电源键以及音量键均位于机身右侧. 荣耀7i截图方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEXwEM.html" rel="bookmark" class="title">地图的&OpenCurlyDoubleQuote;粉丝经济&rdquo;时代</a>
					<div>
						克莱·舍基(Clay Shirky)认为:认知盈余的定义很简单,就是受过教育,并拥有自由支配时间的人,他们有丰富的知识背景,同时有强烈的分享欲望,这些人的时间汇聚在一起,产生巨大的社会效应.Faceb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12Ao3p.html" rel="bookmark" class="title">对象-自定义textView的placeHolder被拉伸怎么办</a>
					<div>
						问题描述 自定义textView的placeHolder被拉伸怎么办 自定义textVIew的placeHolder(灰色文字部分)用quartz2D绘制 我监听键盘的高度 然后在监听方法里面改变te ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo1eVM.html" rel="bookmark" class="title">mingw-Eclipse for C&sol;C&plus;&plus;编译报错binary not found</a>
					<div>
						问题描述 Eclipse for C/C++编译报错binary not found Eclipse中开发C/C++,CDT和MinGW都装好了,MinGW的path变量也配置了,写了一个最简单的He ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12QOap.html" rel="bookmark" class="title">oracle等待事件1&mdash;&mdash;高速缓冲内cbc latch</a>
					<div>
						恩..从今天起,木木同学要认真整理一下oracle中常见的等待事件,通过这部分的学习,希望自己能对oracle内部的结构能有一个更清晰的认识,有兴趣的童鞋一起来哇... 1.latch:cache b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW1N2z.html" rel="bookmark" class="title">JavaScript的public、private和privileged模式&lowbar;javascript技巧</a>
					<div>
						Summary 私有变量 在对象内部使用'var'关键字来声明,而且它只能被私有函数和特权方法访问. 私有函数 在对象的构造函数里声明(或者是通过var functionName=function() ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
